Page MenuHomePhabricator

Call ContentHandler::exportTransform in backupTextPass.inc and friends
Closed, ResolvedPublic

Description

ContentHandler::exportTransform needs to be called whenever serialized content is written to an (XML) dump. The WIkiExporter class used by SPecialExport and dumpBackup already does this, but backupTextPass.inc, which is used by the dump generation script on the live cluster, bypasses this.

Other maintenance scripts, like fetchText.php, should probably also apply exportTransform. Generally, all code that calls Revision::getRevisionText should be checked.


Version: unspecified
Severity: major
Whiteboard: u=dev c=core p=8 s=2014-10-28
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=72417

Details

Reference
bz72361

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:57 AM
bzimport set Reference to bz72361.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Oct 22 2014, 3:48 PM

gerritadmin wrote:

Change 168126 had a related patch set uploaded by Daniel Kinzler:
Apply exportTarnsform in backupTextPass.inc

https://gerrit.wikimedia.org/r/168126

gerritadmin wrote:

Change 168126 had a related patch set uploaded by Daniel Kinzler:
Apply exportTarnsform in backupTextPass.inc

https://gerrit.wikimedia.org/r/168126

Making this depend on bug 72417 following Hoo's comment on the patch.

hoo closed this task as Resolved.Nov 26 2014, 10:47 AM
hoo claimed this task.